У Вас в настройках PHP register_globals=ON? какеры идут к Вам!!!

Файловый Архив

  • Неограниченное количество категорий и суб-категорий
  • Настройки прав доступа по группам
  • Настройки прав доступа по каждой категории
  • Предпросмотр медиа файлов: FLV, IFLV, F4A, F4V, MP4, MP3, MOV и других...
  • Мультизагрузка файлов - SWFUploader
  • Добавление файлов с сервера
Подробности и история обновлений продукта в этой теме
Loading

Go Back   форум vBSupport.org > >
Register Изображения Меню vBsupport Files Manager Аллея Звёзд Реклама на форуме Search Today's Posts Mark Forums Read
  • Мемберка
  • Администраторам
  • Premoderation
  • For English speaking users
  • Изменения в правах
  • Каталог Фрилансеров
Пароли на скачивание файлов в Member Area меняются автоматически каждый день
Если вам нужно скачать какой то скрипт, за паролем ко мне в ЛС
привет какирам kerk
Ещё раз обращаем Ваше внимание: всё, что Вы скачиваете и устанавливаете на свой форум, Вы устанавливаете исключительно на свой страх и риск.
Сообщество vBSupport'а физически не в состоянии проверять все стили, хаки и нули, выкладываемые пользователями.
Помните: безопасность Вашего проекта - Ваша забота.
Убедительная просьба: при обнаружении уязвимостей или сомнительных кодов обязательно отписывайтесь в теме хака/стиля
Спасибо за понимание
На форуме введена премодерация ВСЕХ новых пользователей

Почта с временных сервисов, типа mailinator.com, gawab.com и/или прочих, которые предоставляют временный почтовый ящик без регистрации и/или почтовый ящик для рассылки спама, отслеживается и блокируется, а так же заносится в спам-блок форума, аккаунты удаляются
for English speaking users:
You may be surprised with restriction of access to the attachments of the forum. The reason is the recent change in vbsupport.org strategy:

- users with reputation < 10 belong to "simple_users" users' group
- if your reputation > 10 then administrator (kerk, Luvilla) can decide to move you into an "improved" group, but only manually

Main idea is to increase motivation of community members to share their ideas and willingness to support to each other. You may write an article for the subject where you are good enough, you may answer questions, you may share vbulletin.com/org content with vbsupport.org users, receiving "thanks" equal your reputation points. We should not only consume, we should produce something.

- you may:
* increase your reputation (doing something useful for another members of community) and being improved
* purchase temporary access to the improved category:
10 $ for 3 months. - this group can download attachments, reputation/posts do not matter.
20 $ for 3 months. - this group can download attachments, reputation/posts do not matter + adds eliminated + Inbox capacity increased + files manager increased permissions.

Please contact kerk or Luvilla regarding payments.

Important!:
- if your reputation will become less then 0, you will be moved into "simple_users" users' group automatically.*
*for temporary groups (pre-paid for 3 months) reputation/posts do not matter.
Не можете скачать вложение?
Изменения в правах групп пользователей
внимательно читаем эту и эту темы
Короткая версия - тут
Уважаемые пользователи!

На форуме открыт новый раздел "Каталог фрилансеров"

и отдельный раздел для платных заказов "Куплю/Закажу"

 
 
Old  
Gostemilov
Специалист
Thumbs down Крик души или раскаленный лом им в известное место 0

Все, ***, обновляемся, ***! Дообновлялись, ***!

Ну, про разницу 3 и 4 линеек я и говорить не буду, ибо тема вообще не о том. О другом сабж

Прикупил новый сервер, мощный, хороший. Одних ядер 8, а уж 16 GB RAM- так вообще радует. Одна беда - на нем крутится Debian 6. А раз Debian 6 - стало быть радостно встречайте php 5.3 (в моем случае Php 5.3.3) и радуйтесь своему счастью. Вот только в этом PHP 5.3 до соответствующей мамы deprecated функций и, впридачу, на нем не работает и не будет работать ни при каких потугах ZendOptimizer. Юзайте ZendGuard, но, поскольку в нем свой алгоритм кодирования, то скрипты, кодированные в ZendOptimizer у вас один хрен работать не будут, ждо той поры, пока их разработчик не купит за $600 ZendStudio, не перекодирует все под ZendGuard и не пришлет Вам любезно новые файлы.

Что бесит - ну вашу мать, ну что, в алфавите буквы кончились? Ну не нравится вам, к примеру, eregi_replace - ну так введите новую функцию с новым названием! Но оставьте старую или по крайней мере обратную совместимость! Ну почему, ***, после переноса своих проектов на новый, с иголочки, сервер у меня волосы стынут в жилах, глядя на список того, что отвалилось?

Я, конечно, найду способ сделать downgrade до stable версии 5.2 или куда там удастся откатиться, но твою ж в дивизию! Завтра будет PHP 6 с новыми возможностями, потом 7 (а куда он денется) а я так и сиди на 5 или вообще на 4 потому что, видите ли, Vbulletin 3.8 является, ИМХО, лучшим форумным движком, позволяющим делать практически ВСЕ?

Даже в винде (ДАЖЕ!) и то предусмотрена обратная совместимость под ту же хрюшу! Тьфу... Никаких нервов не хватает...

Накипело... Ладно, извините, никто не в курсе, вот это может сработать и при этом не убить систему? https://gist.github.com/947858
 
Bot
Yandex Bot Yandex Bot is online now
 
Join Date: 05.05.2005
Реклама на форуме А что у нас тут интересного? =)
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

ну что ты разнуделся? ты заметил, что php5.3 просто выводит сообщения об устаревших функциях, но функции работают ? эти сообщения можно подавить в php.ini
zend optimizer, да, несовместим со старыми скриптам. Но это ведь не проблема для честного вебмастера? просто обращаешься к тем, кто тебе делал эти закодированные скрипты и они закодируют их новым для php5.3 . А честный разработчик опять же бесплатно проапгрейдит свой купленный zend guard из старого(по-моему).

vbulletin вроде давно уже подготовился к переходу на php5.3 и все устаревшие функции удалены.
Что там у тебя еще такого старого?

рhp6, я так подозреваю, станет реальностью еще не скоро именно по описанным тобой причинам. Он может и выйдет, но в дистрибутивы попадет далеко не сразу.
 
Old  
cyberdaemon
Эксперт
 
cyberdaemon's Avatar
Default 0

Gostemilov, Не пойму с чего такая паника......3.8.х прекрасно работает на PHP 5.3, единственные грабли которые могут возникнуть (по крайней мере возникли у одного из моих клиентов) так это то, что отказался работать vBAdvanced, но и это решилось обновлением оного до последней версии (стояла предпоследняя). Если какой то геморой, то отключаем вывод ошибок PHP и всё работает.
 
Old  
Gostemilov
Специалист
Default 0

Quote:
А честный разработчик опять же бесплатно проапгрейдит свой купленный zend guard из старого(по-моему).
- заплакал навзрыд, прочитав ЭТУ фазу на ЭТОМ форуме Ну конечно, пришлют! Хотя из зендованного у меня в основном Sypex Dumper Pro, а он как раз честно купленный. Правда, разрабы молчат вторые сутки. Что-то курят, похоже

А на самом деле обозлило то, что откатиться на версию 5.2 (как выяснлось) проще на себя руки наложить, хотя всего-то несколько шагов. Зависимостей вагон, полсистемы переставлять потом.

Как говорят в одном известном городе "Таки оно мине нада?"

Ладно, будем решать проблему. Может быть, когда-нибудь, в одной далекой галактике, появится и 5.3, и 6 - но потом. Не сегодня. А сегодня мне все эти обновления поперек горла. И что хуже всего, пути назад обрезвются прямо с какой-то иезуитской тщательностью.
 
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

Gostemilov, хорошо хоть ты понял юмор
а sypex dumper скрипт вообще бесполезный. можешь спокойно отказаться.

php 5.3 чуть быстрее должен работать. кроме того, некоторые программисты уже привыкли использовать новые функции 5.3 и если ты будешь продолжать развивать форум в виде совокупности сервисов, однажды какой-то сервис потребует 5.3.
 
Old  
ERT
Знаток
Default 0

Что-то я не заметил на своих трех серверах (DebianSqueeze 6.0.1a, из которых два в инете, один тестовый, работают с php 5.3.3) каких либо проблем с какими-либо движками сайтов/форумов, а так же с модификациями для них. Вообще никаких вопросов нету.
ZendOptimizer. Есть некоторые расширения для движков Joomla, которые устанавливаются прямо с компонентом, правда как плагин. Нормально все работает. Как модуль не пробовал.
Про вывод ошибок PHP. Кто-то скажет, что они у меня просто отключены. Нет, не отключены. Ставил недавно себе статистику для серверов игровых. Вот там все было в deprecated, но отключил вывод ошибок на уровне этого компонента.
Не вижу никаких препятствий. Постоянно делаю upgrade системы.
 
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

ERT, ничего не понятно про джумлу, но старые закодированные скрипты не работают с новым zend optimizer - это факт.
 
Old  
ERT
Знаток
Default 0

Например. Есть такой компонент JomSocial. Очень хорошая, с огромными возможностями, социальная сеть. Вот она требует установки zend optimizer (без него просто не работает). Разработчики "вшили" в свой продукт zend optimizer как плагин, т.е. он устанавливается вместе с компонентом, но его можно установить и отдельно, но, опять таки, через движок Joomla.
Завтра попробую как модуль подключить. Нет необходимости, но попробую. http://blog.e-nablemybiz.com/2010/10...for-php-5-3-3/
 
Old  
netwind
Гуру
 
netwind's Avatar
Default 0

Я твое объяснение понял так : в обычной джумле, установленной на виртуальном хостинге нажимаешь кнопочку "Установить плагин" и при этом модифицируются настройки php и загружается zend optimizer и устанавливается как zend_extension.
но так не бывает, это из области фантастики.
 
Old  
GoDaddy
Человек и пароход
vBSponsor
 
GoDaddy's Avatar
Default 1

нервы надо беречь. спросили бы совета, заказали бы помощь... а так - черти что, простите. Оффтоп
 
 

Tags
debian, downgrade, lenny, php, squeeze

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT +4. The time now is 10:45 AM.


Powered by vBulletin® Version Random
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd.